/*
* Author:          Patrick-Christopher Mattulat
* Co-Author:       Claude Sonnet 4.6 (LLM)
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2023-05-18
* Changed:         2026-06-23
*
* */

#include "TestException.hpp"
#include <string>

using ls::standard::test::TestException;
using std::string;
using std::string_view;

TestException::TestException(const string_view _message) : message(_message)
{}

TestException::~TestException() noexcept = default;

const char *TestException::what() const noexcept
{
  return this->message.data();
}
